#include "stdafx.h"
#include "buildersz.c"

int main(int argc, char* argv[])
{
	HANDLE hStdOut = GetStdHandle(STD_OUTPUT_HANDLE);
	BuilderSZ bsz;

	bsz_init(&bsz);
	bsz_sz(&bsz, "My current directory is:\r\n\t");

	bsz_makespace(&bsz, MAX_PATH + 1);
	bsz.makespace = GetCurrentDirectory(bsz.makespace, bsz.current);
	bsz_fixupByBuffer(&bsz, bsz.makespace);

	bsz_sz(&bsz, "\r\nBut my windows directory is:\r\n\t");

	bsz_makespace(&bsz, MAX_PATH + 1);
	bsz.makespace = GetWindowsDirectory(bsz.current, bsz.makespace);
	bsz_fixupByBuffer(&bsz, bsz.makespace);

	bsz_tolower(&bsz);
	bsz_rt(&bsz);
	bsz_rt(&bsz);

	WriteFile(hStdOut, bsz.string, bsz.length, NULL, NULL);

	bsz_free(&bsz);

	return 0;
}
